package eu.lucazanini.upnavigation;

import android.app.ActionBar;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.NavUtils;
import android.view.MenuItem;
import android.widget.RadioGroup;
import android.widget.RadioGroup.OnCheckedChangeListener;

public class ChildTwoActivity extends Activity implements
	OnCheckedChangeListener {

    private int parentActivityId;

    @Override
    public void onCheckedChanged(RadioGroup group, int checkedId) {
	switch (checkedId) {
	case R.id.upActivity_Main:
	    parentActivityId = R.id.upActivity_Main;
	    break;
	case R.id.upActivity_ChildOne:
	    parentActivityId = R.id.upActivity_ChildOne;
	    break;
	}
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);

	setContentView(R.layout.child_two_activity);

	parentActivityId = R.id.upActivity_Main;

	RadioGroup rg = (RadioGroup) findViewById(R.id.upActivity);
	rg.setOnCheckedChangeListener(this);

	ActionBar actionBar = getActionBar();
	actionBar.setDisplayHomeAsUpEnabled(true);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
	switch (item.getItemId()) {
	case android.R.id.home:
	    if (parentActivityId == R.id.upActivity_ChildOne) {
		Intent intent = new Intent(this, ChildOneActivity.class);
		intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		startActivity(intent);
	    } else {
		NavUtils.navigateUpFromSameTask(this);
	    }
	    return true;
	}
	return super.onOptionsItemSelected(item);

    }
}
